<?php
session_start();
include "verifica.php";
include("../conexion.php");
include "correlativos.php";
include "validaciones.php";

@$xautomatico=$_REQUEST['xautomatico'];	



@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];
@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xcotdet_codi=$_REQUEST['xcotdet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xcotdet_precio=$_REQUEST['xcotdet_precio'];
@$xcotdet_cantidad=$_REQUEST['xcotdet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xfecha=$_REQUEST['xfecha'];
@$xproveedor=$_REQUEST['xproveedor'];
@$xpagotipo=$_REQUEST['xpagotipo'];

@$xpagodocumento=$_REQUEST['xpagodocumento'];
@$xndocumento=$_REQUEST['xndocumento'];


@$xidtrans=$_REQUEST['xidtrans'];

@$xmonto=$_REQUEST['xmonto'];


$cdet = new Cotizacionesdetalle;



switch($xaccion){
	
	case "adicionar": 
		if($cdet->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "cotizaciones_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";	
			//alert("sisisi");     
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($cdet->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");
			//parent.parent.location.href="../pedidos.php";		
			parent.parent.document.form_buscar.submit();
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($cdet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "cotizaciones_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";				
			</script>			
			<?php
			
		}		
		break;
		
	case "guardar_unidad":
		if($cdet->guardar_unidad($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("Item guardado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "guardar_cantidad":
		if($cdet->guardar_cantidad($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("Item guardado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		
		

	case "guardar_precio":
		if($cdet->guardar_precio($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("Item guardado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		
		
	case "guardar_nuevo_pedido":
		if($cdet->guardar_nuevo_pedido($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//parent.parent.document.getElementById('xidtrans').value = "";	
			alert("Pedido guardado satisfactoriamente.")			
			//parent.parent.location.href="../pedidos.php";		
			parent.parent.document.form_buscar.submit();	
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;						

	case "adicionar_temporal_modificar": 
		if($cdet->adicionar_temporal_modificar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "cotizaciones_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";	
			//alert('sssss...');
			</script>			
			<?php
			
		}		
		break;
		
	case "generar_idtrans":
		if($cdet->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($cdet->activar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;




}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Cotizacionesdetalle{

	//Adiciona nuevo ITEM
	function adicionar($conexion){
		global $xid, $xprd_codi, $xidtrans,$xunimed_codi,$xcotdet_precio;
		
		$r=mysqli_query($conexion,"INSERT INTO temporal_cotizacion_pedido_detalle (cotdet_fechahora, 
																					prd_codi_fk, 
																					idtrans, 
																					unimed_codi_fk,
																					cotdet_precio) 
																		VALUES(NOW(),
																					$xprd_codi,
																					$xidtrans,
																					$xunimed_codi,
																					$xcotdet_precio);");
				
		if($r){		
			return 1;
		}	
				
	}	


	//Guarda Modificaciones de orden de compra
	function modificar($conexion){

		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xusuario_sesion,$xpagodocumento,$xndocumento,$xmonto,$xmediopago,$cor,$xautomatico;		
																		
		
		//ACTUALIZA LA CABECERA DE LA ORDEN DE PEDIDO
		$r2=mysqli_query($conexion,"UPDATE cotizaciones set cot_fecha='$xfecha',								 
														per_codi_fk='$xproveedor',
														cot_anotaciones='$xanotaciones',
														cot_usu_modifica='$xusuario_sesion'												
												WHERE idtrans='$xidtrans';");																						
		
		if($r2){	
		
				
			$r_trans = mysqli_query($conexion, "SELECT cot_codi FROM cotizaciones c where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xcot_codi=$row_trans['cot_codi'];
			}
		
		//ELIMINACIÓN DE LOS DETALLES DE PEDIDO ELIMINADOS
			$r_antiguos = mysqli_query($conexion,"SELECT o.* FROM cotizaciones_detalle o LEFT JOIN temporal_cotizacion_pedido_detalle t ON t.cotdet_codi_fk = o.cotdet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NULL order by o.cotdet_codi;");
			while($row_antiguos=mysqli_fetch_array($r_antiguos)){
				$xcotdet_codi=$row_antiguos['cotdet_codi'];
				
				$r_elimina_antiguos = mysqli_query($conexion,"DELETE FROM cotizaciones_detalle WHERE cotdet_codi=$xcotdet_codi;");				
			}
			
		//ACTUALIZACION DE LOS DETALLES DE PEDIDO MODIFICADOS
			$r_actualizados = mysqli_query($conexion,"SELECT o.cotdet_codi as t_cotdet_codi, t.* FROM cotizaciones_detalle o LEFT JOIN temporal_cotizacion_pedido_detalle t ON t.cotdet_codi_fk = o.cotdet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NOT NULL order by o.cotdet_codi;");
			while($row_actualizados=mysqli_fetch_array($r_actualizados)){
						
				$xcotdet_codi=$row_actualizados['t_cotdet_codi'];
				$xprd_codi_fk=$row_actualizados['prd_codi_fk'];
				$xunimed_codi_fk=$row_actualizados['unimed_codi_fk'];
				$xcotdet_precio=$row_actualizados['cotdet_precio'];
				$xcotdet_cantidad=$row_actualizados['cotdet_cantidad'];
							
				$r_modifica_actualizados = mysqli_query($conexion,"UPDATE cotizaciones_detalle set unimed_codi_fk = $xunimed_codi_fk,
																									cotdet_precio = $xcotdet_precio,
																									cotdet_cantidad = $xcotdet_cantidad
																				 WHERE cotdet_codi=$xcotdet_codi;");
																				 
				
			}
			
		
			
			
			//INSERCCION DE LOS NUEVOS DETALLES DE PEDIDOS
			$r1 = mysqli_query($conexion,"SELECT t.* FROM temporal_cotizacion_pedido_detalle t LEFT JOIN cotizacion_detalle o ON t.cotdet_codi_fk = o.cotdet_codi WHERE t.idtrans='$xidtrans' AND o.idtrans IS NULL;");	
			
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xcotdet_precio=$row1['cotdet_precio'];
				$xcotdet_cantidad=$row1['cotdet_cantidad'];						
				
				$r=mysqli_query($conexion,"INSERT INTO cotizaciones_detalle (cotdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				cotdet_precio,
																				cotdet_cantidad,
																				cot_codi_fk,
																				idtrans) 
																		VALUES(NOW(),
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xcotdet_precio,
																				$xcotdet_cantidad,
																				$xcot_codi,
																				'$xidtrans');");				
			}




			/****** INICIO AUTOMATICO *******************/
			
			/****** FIN AUTOMATICO *******************/											
			
			
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_cotizacion_pedido_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){		
				return 1;
			}	
			
			//return 1;
		
		}		
	
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xcotdet_codi;	
		
			?>			
			<script language="javascript">
			//alert("Eliminando.. <?php echo $xcotdet_codi; ?> ")

			</script>			
			<?php
			

		$r = mysqli_query($conexion,"delete from temporal_cotizacion_pedido_detalle where cotdet_codi = $xcotdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda unidad
	function guardar_unidad($conexion){
		global $xid,$xprc_codi,$xcotdet_codi,$xunimed_codi;		

		$r = mysqli_query($conexion,"update temporal_cotizacion_pedido_detalle set unimed_codi_fk='$xunimed_codi' 
																		where cotdet_codi = $xcotdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda cantidad
	function guardar_cantidad($conexion){
		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_cantidad;		

		$r = mysqli_query($conexion,"update temporal_cotizacion_pedido_detalle set cotdet_cantidad='$xcotdet_cantidad' 
																		where cotdet_codi = $xcotdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		

	//Guarda precio
	function guardar_precio($conexion){
		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_precio;		

		$r = mysqli_query($conexion,"update temporal_cotizacion_pedido_detalle set cotdet_precio='$xcotdet_precio' 
																		where cotdet_codi = $xcotdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		



	//Guarda nuevp pedido
	function guardar_nuevo_pedido($conexion){
		
		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xusuario_sesion,$xmonto,$xpagodocumento,$xndocumento,$cor,$vali;			
		

		$correlativo = $cor->cotizacion($conexion);		
		$correlativo_cotizacion=$correlativo;
		
		$r2=mysqli_query($conexion,"INSERT INTO cotizaciones (cot_fechahora,
																		cot_fecha,
																		cot_numero,																		
																		per_codi_fk,
																		idtrans,
																		cot_anotaciones,
																		cot_usu_crea) 
																VALUES(NOW(),
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		'$xidtrans',
																		'$xanotaciones',
																		'$xusuario_sesion');");				
		
		if($r2){		
		
			$r_trans = mysqli_query($conexion, "SELECT cot_codi FROM cotizaciones c where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xcot_codi=$row_trans['cot_codi'];
			}
			
		
			$r1 = mysqli_query($conexion,"SELECT * FROM temporal_cotizacion_pedido_detalle t WHERE idtrans='$xidtrans' order by cotdet_codi;");	
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xcotdet_precio=$row1['cotdet_precio'];
				$xcotdet_cantidad=$row1['cotdet_cantidad'];						
				
				$r=mysqli_query($conexion,"INSERT INTO cotizaciones_detalle (cotdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				cotdet_precio,
																				cotdet_cantidad,
																				cot_codi_fk,
																				idtrans) 
																		VALUES(NOW(),
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xcotdet_precio,
																				$xcotdet_cantidad,
																				$xcot_codi,
																				'$xidtrans');");				
			}									
						
			
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_cotizacion_pedido_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){		
				
				?>			
				<script language="javascript">
				//alert("Pedido guardado satisfactoriamente.")
				//parent.parent.location.href="../pedidos.php";
				parent.parent.document.form_buscar.submit();
				r=confirm("Desea Imprimir la cotización");
				if(r){
					parent.imprimir_ordenpedido_automatico('<?php echo md5($xcot_codi); ?>')			
				}else{
					parent.parent.location.href="../cotizaciones_pedidos.php";
				}					
				</script>			
				<?php
										
				//return 1;
			}	
		
		}		

	}		



	//Adiciona temporal para modificar
	function adicionar_temporal_modificar($conexion){
		global $xid, $xidtrans;
		
		$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_cotizacion_pedido_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){		
		
				//$r2=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.idtrans='$xidtrans' order by ordpeddet_codi;");

				$r1 = mysqli_query($conexion,"SELECT od.* FROM cotizaciones_detalle od INNER JOIN  o ON od.cot_codi_fk=o.cot_codi WHERE o.idtrans='$xidtrans' order by cotdet_codi;");	
				while($row1=mysqli_fetch_array($r1)){
				
					$xprd_codi_fk=$row1['prd_codi_fk'];
					$xunimed_codi_fk=$row1['unimed_codi_fk'];
					$xcotdet_precio=$row1['cotdet_precio'];
					$xcotdet_cantidad=$row1['cotdet_cantidad'];		
					$xcotdet_codi=$row1['cotdet_codi'];											
					
					$r=mysqli_query($conexion,"INSERT INTO temporal_cotizacion_pedido_detalle (cotdet_fechahora, 
																					prd_codi_fk,
																					unimed_codi_fk,
																					cotdet_precio,
																					cotdet_cantidad,
																					cotdet_codi_fk,
																					idtrans) 
																			VALUES(NOW(),
																					$xprd_codi_fk,
																					$xunimed_codi_fk,
																					$xcotdet_precio,
																					$xcotdet_cantidad,
																					$xcotdet_codi,
																					'$xidtrans');");				
				}
	

						
			}			

			
				
		//$r=mysqli_query($conexion,"INSERT INTO temporal_orden_pedido_detalle (ordpeddet_fechahora, prd_codi_fk, idtrans) VALUES(NOW(),$xprd_codi,$xidtrans);");
				
		//if($r){		
			return 1;
		//}	
				
	}	



	//Generar Idtrans	
	function generar_idtrans(){
							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
		</script>			
		<?php
		
		return 1;	

	}



	//Activa una compra
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			

				?>
				<script language="javascript">
				//alert("eSTADO. <?php  ?> ")
				</script>			
				<?php


		$r = mysqli_query($conexion,"update cotizaciones set cot_estado = $xestado,
															 cot_usu_activa = '$xusuario_sesion' 
													   where cot_codi = $xid;");
		
		if($r){		

			return 1;
		}	
	
	}	



}








?>

